﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Exporting Analytics Version 1 Control Configurations</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Exporting Analytics Version 1 Control Configurations</h1>
        <p>You can export the analytics configurations of all analytics using the <strong>Analytics Configuration List&#160;</strong>in the following formats:</p>
        <ul>
            <li>CSV</li>
            <li>EXCEL</li>
            <li>JSON</li>
        </ul>
        <p>If you want to update the analytical control in JSON and reapply it, you can export the existing analytical control which you want to update, perform the necessary changes in JSON and upload the updated JSON again. For more information, see&#160;<MadCap:xref href="Uploading-Analytic-Controls.htm">Uploading Analytic Controls</MadCap:xref>.</p>
        <p>To export all analytics configurations, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>Analytics &gt;&#160;Analytics Configuration List</strong>.</p>
            </li>
            <li>
                <p>Select the Version 1 tab.</p>
            </li>
            <li>
                <p>Click the Actions arrow and select required format under&#160;Export.</p>
            </li>
        </ol>
        <p>The Save As dialog window appears where you can enter the file name and save the exported file into your desired local folder, as required.</p>
        <p>The exported file consists of all the analytics configurations available in the&#160;Analytics Configuration List.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If a user list, account list, or analytics control report has more than 50,000 reports, then from the corresponding&#160;Export option available in the Analytics module page, the zip file is downloaded as a single file.</p>
            <p>A configuration parameter is available in the externalconfig.properties file (path: <label class="filename-path">Local drive:\saviynt\Conf\</label>) where you can specify the number of records that should be added in the single file.</p>
            <p>Configuration parameter in externalconfig.properties file:&#160;</p><span class="attr">noOfRecordsinOneSheet=&#160;&lt;total-no-of-records&gt;&#160;</span>
            <p>where <em>total-no-of-records</em> is the&#160;total number of records to be written in one file.</p>
            <p>For example, suppose you want to export 30,000 reports, enter the following:</p>
            <p><span class="attr">noOfRecordsinOneSheet=&#160;30000</span>
            </p>
        </div>
        <p>&#160;</p>
    </body>
</html>